Thread Rating:
  • 0 Vote(s) - 0 Average
[LIVE] Upgrade to 2.3.31-17 borks XBMC
#1
I have just ran a sudo aptitude update & upgrade and it has upgraded Ubuntu Karmic from 2.3.31-16 to 2.3.31-17. However, using this new kernel, XBMC won't start anymore. For some reason it has trouble with the nVidia driver, but I am already using the latest one (190.53 I think). Has anyone gotten 2.3.31-17 kernel working with XBMCLive on the ION-platform?
Kodi v17 "Krypton" Beta 6 running on Amazon Fire TV (2014) with FLIRC receiver.
Reply
#2
x5nder Wrote:I have just ran a sudo aptitude update & upgrade and it has upgraded Ubuntu Karmic from 2.3.31-16 to 2.3.31-17. However, using this new kernel, XBMC won't start anymore. For some reason it has trouble with the nVidia driver, but I am already using the latest one (190.53 I think). Has anyone gotten 2.3.31-17 kernel working with XBMCLive on the ION-platform?

If you can boot into the *-16 kernel but not *-17 it's most likely the GFX driver wasn't built for the new kernel.

It shoulda been installed but make sure it grabbed the new headers: sudo apt-get install linux-headers-2.6.31-17-generic

This should show you what is built: dkms status

This should rebuild the drivers for the kernel: dpkg-reconfigure nvidia-185-kernel-source

EDIT:
I noticed you're not using the repo drivers. In which case, follow the directions you used to build the kernel driver in the 1st place.
Reply
#3
Thanks for putting me on the right track. In my case I had to force a reïnstall of the graphics drivers:

Code:
sudo nvidia-installer -f
Kodi v17 "Krypton" Beta 6 running on Amazon Fire TV (2014) with FLIRC receiver.
Reply



[LIVE] Upgrade to 2.3.31-17 borks XBMC00